This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 636746

Summary: krb5-libs package installs to /usr/kerberos but doesn't deliver the path
Product: [Fedora] Fedora Reporter: Paul Jakma <paul+rhbugz>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: nalin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.7.1-15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-31 10:13:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Paul Jakma 2010-09-23 03:04:54 EDT
Description of problem:

krb5-libs installs to /usr/kerberos but neither delivers the path nor depends on any package which does:

$ rpm -qf /usr/kerberos/share/
krb5-libs-1.7.1-13.fc13.i686
$ rpm -qf /usr/kerberos/
krb5-workstation-1.7.1-13.fc13.i686
krb5-devel-1.7.1-13.fc13.i686

There is no dependency on either of the 2 latter packages.

Version-Release number of selected component (if applicable):

krb5-libs-1.7.1-13.fc13.i686

How reproducible:

100%.

Steps to Reproduce:

1. install krb5-libs
2. observe that /usr/kerberos is unowned.
Comment 1 Nalin Dahyabhai 2010-09-23 10:46:35 EDT
Thanks, fix checked in to git.  I don't want to restart the clock on the currently pending update, so this'll probably wait until we have another reason to push out an update.
Comment 2 Bug Zapper 2011-05-31 08:49:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nalin Dahyabhai 2011-05-31 10:13:52 EDT
We pushed krb5-1.7.1-16 as a security update, which included this change.  Marking as fixed in the current release.